svn commit: samba r12256 - in branches/SAMBA_4_0/source: . script

jelmer at samba.org jelmer at samba.org
Thu Dec 15 17:19:27 GMT 2005


Author: jelmer
Date: 2005-12-15 17:19:27 +0000 (Thu, 15 Dec 2005)
New Revision: 12256

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=12256

Log:
Add helper script for installing pkg-config files

Added:
   branches/SAMBA_4_0/source/script/installpc.sh
Modified:
   branches/SAMBA_4_0/source/main.mk


Changeset:
Modified: branches/SAMBA_4_0/source/main.mk
===================================================================
--- branches/SAMBA_4_0/source/main.mk	2005-12-15 16:53:20 UTC (rev 12255)
+++ branches/SAMBA_4_0/source/main.mk	2005-12-15 17:19:27 UTC (rev 12256)
@@ -113,7 +113,7 @@
 	@$(SHELL) $(srcdir)/script/installmisc.sh $(srcdir) $(DESTDIR)$(LIBDIR) $(DESTDIR)$(BINDIR)
 
 installpc: installdirs
-	@cp $(PC_FILES) $(DESTDIR)$(PKGCONFIGDIR)
+	@$(SHELL) $(srcdir)/script/installpc.sh $(srcdir) $(DESTDIR)$(PKGCONFIGDIR) $(PC_FILES)
 
 uninstall: uninstallbin uninstallman uninstallmisc uninstalllib uninstallheader
 

Added: branches/SAMBA_4_0/source/script/installpc.sh
===================================================================
--- branches/SAMBA_4_0/source/script/installpc.sh	2005-12-15 16:53:20 UTC (rev 12255)
+++ branches/SAMBA_4_0/source/script/installpc.sh	2005-12-15 17:19:27 UTC (rev 12256)
@@ -0,0 +1,16 @@
+#!/bin/sh
+# install miscellaneous files
+
+SRCDIR="$1"
+PKGCONFIGDIR="$2"
+shift
+shift
+
+cd $SRCDIR || exit 1
+
+for I in $*
+do
+	cp $I $PKGCONFIGDIR
+done
+
+exit 0


Property changes on: branches/SAMBA_4_0/source/script/installpc.sh
___________________________________________________________________
Name: svn:executable
   + *
Name: svn:eol-style
   + native



More information about the samba-cvs mailing list